Class | Rubygame::EventTriggers::KeyReleaseTrigger
In: | lib/rubygame/event_triggers.rb
Parent: | Object

KeyReleaseTrigger is an event trigger which fires when a key on the keyboard is released (i.e. KeyReleased).

NOTE: This trigger is identical to KeyPressTrigger, except that it fires for KeyReleased instead of KeyPressed. Please see the documentation for KeyPressTrigger for info about the parameters and behavior of the trigger.

NOTE: This trigger only works with the new-style KeyReleased event class, not with the older KeyUpEvent. See EventQueue#enable_new_style_events

### Methods

match? new

### Public Class methods

new( key=:any, mods=:any )

Initialize a new instance of KeyReleaseTrigger with the given key and modifier keys.

See KeyPressTrigger#new for more information and examples.

### Public Instance methods

match?( event )

Returns true if the event is a KeyReleased event and the event‘s key and mods BOTH match the trigger‘s expectations.

See KeyPressTrigger#match? for more information.

[Validate]